<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-12-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->
# FireGento_FastSimpleImport

Wrapper for Magento 2 ImportExport functionality, which imports products and customers from arrays


## Documentation

See [http://firegento-fastsimpleimport2.readthedocs.io/en/latest/](http://firegento-fastsimpleimport2.readthedocs.io/en/latest/)

## Requirements

- Magento >= 2.3.0
- PHP >= 7.4.0

## Support

If you encounter any problems or bugs, please create an issue on [GitHub](https://github.com/magento-hackathon/FireGento_FastSimpleImport/issues).

## Contribution

Any contribution to the development of FastSimpleImport is highly welcome. The best possibility to provide any code is to open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests).

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/EliasKotlyar"><img src="https://avatars0.githubusercontent.com/u/9529505?v=4" width="100px;" alt=""/><br /><sub><b>Elias Kotlyar</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=EliasKotlyar" title="Code">💻</a></td>
    <td align="center"><a href="http://www.integer-net.de/agentur/andreas-von-studnitz/"><img src="https://avatars1.githubusercontent.com/u/662059?v=4" width="100px;" alt=""/><br /><sub><b>Andreas von Studnitz</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=avstudnitz" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/nhp"><img src="https://avatars3.githubusercontent.com/u/512911?v=4" width="100px;" alt=""/><br /><sub><b>Nils Preuß</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=nhp" title="Code">💻</a></td>
    <td align="center"><a href="https://www.webzap.eu/"><img src="https://avatars1.githubusercontent.com/u/563328?v=4" width="100px;" alt=""/><br /><sub><b>Lennart Schreiber</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=Kipperlenny" title="Code">💻</a></td>
    <td align="center"><a href="http://www.youwe.nl/"><img src="https://avatars1.githubusercontent.com/u/701008?v=4" width="100px;" alt=""/><br /><sub><b>Bogdan Lewinsky</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=blewinsky" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/rosenberger-e-conomix"><img src="https://avatars3.githubusercontent.com/u/47806105?v=4" width="100px;" alt=""/><br /><sub><b>rosenberger-e-conomix</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=rosenberger-e-conomix" title="Code">💻</a></td>
    <td align="center"><a href="https://www.schmengler-se.de/"><img src="https://avatars1.githubusercontent.com/u/367320?v=4" width="100px;" alt=""/><br /><sub><b>Fabian Schmengler /></b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=schmengler" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/koenner01"><img src="https://avatars3.githubusercontent.com/u/13639210?v=4" width="100px;" alt=""/><br /><sub><b>Koen V.</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=koenner01" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/hummer2k"><img src="https://avatars1.githubusercontent.com/u/2178371?v=4" width="100px;" alt=""/><br /><sub><b>hummer2k</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=hummer2k" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/dcole-inviqa"><img src="https://avatars0.githubusercontent.com/u/6168391?v=4" width="100px;" alt=""/><br /><sub><b>dcole-inviqa</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=dcole-inviqa" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/VincentMarmiesse"><img src="https://avatars0.githubusercontent.com/u/1949412?v=4" width="100px;" alt=""/><br /><sub><b>Vincent MARMIESSE</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=VincentMarmiesse" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/kkrieger85"><img src="https://avatars2.githubusercontent.com/u/4435523?v=4" width="100px;" alt=""/><br /><sub><b>Kevin Krieger</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=kkrieger85" title="Documentation">📖</a></td>
    <td align="center"><a href="https://github.com/sprankhub"><img src="https://avatars.githubusercontent.com/u/930199?v=4" width="100px;" alt=""/><br /><sub><b>Simon Sprankel</b></sub></a><br /><a href="https://github.com/firegento/FireGento_FastSimpleImport2/commits?author=sprankhub" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-enable -->
<!-- prettier-ignore-end -->
<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!

## Developer

FireGento Team
* Website: [http://firegento.com](http://firegento.com)
* Twitter: [@firegento](https://twitter.com/firegento)

## Quick Installation Guide

    composer require firegento/fastsimpleimport 
    bin/magento module:enable FireGento_FastSimpleImport
    bin/magento setup:upgrade
    
## Licence

[GNU General Public License, version 3 (GPLv3)](http://opensource.org/licenses/gpl-3.0)

## Copyright

(c) 2016 - 2022 FireGento Team

